> For the complete documentation index, see [llms.txt](https://docs.stylesheets.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stylesheets.dev/sublime.md).

# Sublime

## About

Supports Ghost version `4.x`

## Theme Installation

* Log in to the Ghost dashboard of your blog.
* Go to **Design** in the sidebar, and upload your theme there.&#x20;
* Once uploaded. Click on **Activate now** button to activate the theme immediately or **Close** if you want to activate it later.

## Development

The theme uses Gulp and Node.js for development purposes. You'll need Node.js v10 installed on your machine. (If you're on a different version of Node, we recommend using NVM to get the correct version of Nodejs on your machine.)

```bash
$ npm install 
$ npm run dev
```

Now you can edit SCSS and js files in `/assets/src/` , which will be compiled to `/assets/built/` automatically.

The `build` Gulp task minifies all the css and js files and packages the theme files into `dist/<theme-name>.zip`, which you can then upload to your site.

```bash
$ npm run build
```

## How to Activate Disqus Comments

1. Open up the `post.hbs` file in any text editor.
2. Look for the comments section.
3. Add the following code snippet in the comments section.

   ```markup
      <section class="post-comments">
        <div id="disqus_thread"></div>
        <script>
            var disqus_config = function () {
                this.page.url = '{{url absolute="true"}}';
                this.page.identifier = 'ghost-{{comment_id}}';
            };
            (function() {
                var d = document, s = d.createElement('script');
                s.src = 'https://<YOUR DISQUS SHORTNAME>.disqus.com/embed.js';
                s.setAttribute('data-timestamp', +new Date());
                (d.head || d.body).appendChild(s);
            })();
        </script>
      </section>
   ```
4. Don't forget to modify the `s.src = 'https://<YOUR SITE'S DISQUS SHORTNAME>.disqus.com/embed.js';` to your disqus url.

## Social Media Icons

Icons for Facebook and Twitter are already implemented in the code. To activate icons for other social networks, insert the following code snippets in the respective files.

### In Footer.hbs

```
<a href="" target="_blank">
   {{> "icons/instagram"}}
</a>
```

### In Author.hbs

```
<a class="link-with-svg" href="" target="_blank" rel="noopener">
      <span class="link-svg">
      {{> "icons/instagram"}}
      </span>
      <span class="link-text">Dribbble</span>
</a>
```

Icons for Behance, Dribbble, 500px, Github, Gmail, Instagram, Linkedin, Medium, Pinterest, Reddit, RSS, Tumblr, & Youtube are included in the theme. If you require more icons, you may visit Simple Icons and download the required icons.

## Links

[Demo](https://sublime.stylesheets.dev) / [Purchase](https://gumroad.com/l/sublime)&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stylesheets.dev/sublime.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
